#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        A ssh-add helper that uses kwallet and kpassworddialog
Name:           ksshaskpass
Version: 5.8.7
Epoch:          1
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-macros
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdoctools-devel
BuildRequires:  ki18n-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kwallet-devel
BuildRequires:  kdoctools-devel

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

Requires(post):	update-alternatives
Requires(postun):	update-alternatives

%description
A ssh-add helper that uses kwallet and kpassworddialog

%post
update-alternatives --install %{_libexecdir}/openssh/ssh-askpass ssh-askpass %{_kf5_bindir}/%{name} 40
update-alternatives --install %{_bindir}/ssh-askpass bssh-askpass %{_kf5_bindir}/%{name} 40

%postun
[ $1 = 0 ] || exit 0
update-alternatives --remove ssh-askpass %{_kf5_bindir}/%{name}
update-alternatives --remove bssh-askpass %{_kf5_bindir}/%{name}

%triggerin -- ksshaskpass < 0.5
update-alternatives --remove ssh-askpass %{_libdir}/ssh/%{name}
update-alternatives --remove bssh-askpass %{_libdir}/ssh/%{name}


%files -f %{name}5.lang
%_kf5_bindir/ksshaskpass
%_mandir/man1/ksshaskpass.1.*

#------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make_build

%install
%make_install -C build
%find_lang --all %{name}5


%changelog
* Fri May 26 2017 neoclust <neoclust> 1:5.8.7-1.mga6
+ Revision: 1104841
- New version 5.8.7

* Fri Mar 17 2017 ngompa <ngompa> 1:5.8.6-2.mga6
+ Revision: 1093294
- Add missing Requires(post,postun) for update-alternatives

* Mon Mar 06 2017 neoclust <neoclust> 1:5.8.6-1.mga6
+ Revision: 1089027
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 1:5.8.5-1.mga6
+ Revision: 1078162
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 1:5.8.4-1.mga6
+ Revision: 1070719
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 1:5.8.3-2.mga6
+ Revision: 1065136
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 1:5.8.3-1.mga6
+ Revision: 1064480
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 1:5.8.2-1.mga6
+ Revision: 1063050
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 1:5.8.1-1.mga6
+ Revision: 1060275
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 1:5.8.0-1.mga6
+ Revision: 1057601
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 1:5.7.95-1.mga6
+ Revision: 1053057
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 1:5.7.5-1.mga6
+ Revision: 1052684
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 1:5.7.4-1.mga6
+ Revision: 1048349
- New version 5.7.4

* Wed Aug 10 2016 akien <akien> 1:5.7.3-3.mga6
+ Revision: 1045360
- Fix path to ssh-askpass alternative

* Tue Aug 09 2016 neoclust <neoclust> 1:5.7.3-2.mga6
+ Revision: 1045177
- Use kf5 macros

* Tue Aug 02 2016 neoclust <neoclust> 1:5.7.3-1.mga6
+ Revision: 1044270
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 1:5.7.2-1.mga6
+ Revision: 1042558
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 1:5.7.1-1.mga6
+ Revision: 1041395
- New version 5.7.1

* Fri Jul 08 2016 neoclust <neoclust> 1:5.7.0-1.mga6
+ Revision: 1039726
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 1:5.6.5-1.mga6
+ Revision: 1021871
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 1:5.6.4-1.mga6
+ Revision: 1014539
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 1:5.6.3-1.mga6
+ Revision: 1009276
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 1:5.6.2-1.mga6
+ Revision: 999260
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 1:5.6.1-1.mga6
+ Revision: 998015
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 1:5.6.0-1.mga6
+ Revision: 994390
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 1:5.5.95-2.mga6
+ Revision: 987039
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 1:5.5.95-1.mga6
+ Revision: 983743
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 1:5.5.4-1.mga6
+ Revision: 927970
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 1:5.5.3-1.mga6
+ Revision: 922507
- New version 5.5.3

* Fri Dec 25 2015 neoclust <neoclust> 1:5.5.2-1.mga6
+ Revision: 914842
- New version 5.5.2

* Tue Dec 22 2015 neoclust <neoclust> 1:5.5.1-2.mga6
+ Revision: 913604
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 1:5.5.1-1.mga6
+ Revision: 910687
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 1:5.5.0-1.mga6
+ Revision: 908848
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 1:5.4.95-1.mga6
+ Revision: 904401
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 1:5.4.90-2.mga6
+ Revision: 900805
- Rebuild against fixed qtbase5

* Fri Nov 06 2015 neoclust <neoclust> 1:5.4.90-1.mga6
+ Revision: 898259
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 1:5.4.2-1.mga6
+ Revision: 889516
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 1:5.4.1-1.mga6
+ Revision: 874731
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 1:5.4.0-1.mga6
+ Revision: 869647
- New version 5.4.0

* Tue Aug 11 2015 neoclust <neoclust> 1:5.3.95-1.mga6
+ Revision: 862538
- New version 5.3.95

* Sat Jul 18 2015 neoclust <neoclust> 1:5.3.2-1.mga6
+ Revision: 854981
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 0.5.3-10.mga5
+ Revision: 745865
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.3-9.mga5
+ Revision: 681218
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.3-8.mga4
+ Revision: 506759
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.5.3-7.mga3
+ Revision: 356508
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 02 2012 zezinho <zezinho> 0.5.3-6.mga2
+ Revision: 227840
- add requires openssh-askpass-common as it does not work without it

* Wed Jan 26 2011 ahmad <ahmad> 0.5.3-5.mga1
+ Revision: 41455
- imported package ksshaskpass


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.3-4mdv2011.0
+ Revision: 612673
- the mass rebuild of 2010.1 packages

* Wed Apr 21 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.3-3mdv2010.1
+ Revision: 537698
- fix icon in the .desktop file

* Tue Jan 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.3-2mdv2010.1
+ Revision: 486467
- add docs in the package (notably the new README)

* Tue Jan 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.3-1mdv2010.1
+ Revision: 486465
- update to 0.5.3

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 0.5.1-2mdv2010.0
+ Revision: 438168
- rebuild

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2009.1
+ Revision: 308553
- new version 0.5.1

* Mon Nov 24 2008 Funda Wang <fwang@mandriva.org> 0.5-2mdv2009.1
+ Revision: 306298
- should be triggerin

* Mon Nov 24 2008 Funda Wang <fwang@mandriva.org> 0.5-1mdv2009.1
+ Revision: 306280
- New version 0.5

* Mon Aug 18 2008 Funda Wang <fwang@mandriva.org> 0.4.1-2mdv2009.0
+ Revision: 273372
- patch merged upstream
- add man page

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.4.1

* Mon May 19 2008 Gustavo De Nardin <gustavodn@mandriva.com> 0.4-1mdv2009.0
+ Revision: 208873
- easier to install the binary in %%install than fixing the Cmake rules
- now buildrequires cmake
- updated to version 0.4
- updated upstream in Url and Source0
- don't package useless desktop file and icons, the app is not run by the user
- don't package unwritten documentation
- no need to update menus
- build with cmake
- P1: put binary in the same place as the other askpass binaries
- P0: fix exit status: must be >0 when the user cancels
- use update alternatives like the other askpass utilities
- updated to current license policy

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.3-3mdv2008.1
+ Revision: 140918
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Jan 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-3mdv2007.0
+ Revision: 109508
- fix xdg menu entry
- spec file clean
- add requires

* Wed Jan 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-2mdv2007.1
+ Revision: 103906
- fix build on x86_64
- Import ksshaskpass

